app/models.py
# app/models.py
from datetime import datetime
from app.__init__ import db, bcrypt

# Модель записи на услугу


class Registration_for_services(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    name = db.Column(db.String(100), nullable=False)
    number = db.Column(db.String(15), nullable=False)
    mail = db.Column(db.String(100), nullable=True)
    service = db.Column(db.Text, nullable=False)
    dateservice = db.Column(db.DateTime, nullable=False)

    def __repr__(self):
        return f"Registration_for_services('{self.name}', '{self.number}', '{self.mail}' '{self.service}', '{self.dateservice}')"

# Модель Auth


class User(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    username = db.Column(db.String(20), unique=True, nullable=False)
    email = db.Column(db.String(120), unique=True, nullable=False)
    password = db.Column(db.String(60), nullable=False)
    # Добавим поле для хранения времени регистрации
    registered_on = db.Column(
        db.DateTime, nullable=False, default=datetime.utcnow)

    def __init__(self, username, email, password):
        self.username = username
        self.email = email
        self.password = bcrypt.generate_password_hash(password).decode('utf-8')

    def check_password(self, password):
        return bcrypt.check_password_hash(self.password, password)

    def __repr__(self):
        return f"User('{self.username}', '{self.email}')"

app/__init__.py
# app/__init__.py
from flask import Flask
from flask_sqlalchemy import SQLAlchemy
from flask_migrate import Migrate
from dotenv import load_dotenv
import os


def create_app():
    app = Flask(__name__)

    # Загрузка переменных окружения из файла .env
    load_dotenv()

    # Установка секретного ключа
    app.secret_key = os.getenv("SECRET_KEY")

    # Конфигурация базы данных
    app.config['SQLALCHEMY_DATABASE_URI'] = os.getenv("DATABASE_URL")
    app.config['SQLALCHEMY_TRACK_MODIFICATIONS'] = False

    # Инициализация SQLAlchemy и Flask-Migrate
    db = SQLAlchemy(app)
    migrate = Migrate(app, db)

    # Регистрация маршрутов основных
    from .routes import main_routes
    app.register_blueprint(main_routes)

    # Регистрация маршрутов "регистрации на услуги"
    from .routes_rfs import rfs_routes
    app.register_blueprint(rfs_routes)

    return app

app/routes.py
# app/routes.py
from flask import Blueprint, render_template

main_routes = Blueprint('main', __name__)

# Страница "Главная"
@main_routes.route('/')
def index():
    return render_template('index.html')

# Страница "Услуги"
# @main_routes.route('/services')
# def services():
#     return render_template('services.html')
@main_routes.route('/catalog')
def catalog():
    return render_template('catalog.html')


# Страница "О нас"
# @main_routes.route('/about')
# def about():
#     return render_template('about.html')

# Страница "Запись" 
# --> routes_rfs.py

# Страница "Вопросы и ответы" 
# @main_routes.route("/question")
# def question():
#     return render_template('question.html')
@main_routes.route("/faq")
def question():
    return render_template('faq.html')

app/templates/auth.html
{% extends 'base.html' %}

{% block title %}
Авторизация
{% endblock %}

{% block body %}
<main class="container">
    <div class="row justify-content-center mt-5">
        <div class="col-md-6">
            <div class="card">
                <div class="card-header">
                    Введите данные для авторизации
                </div>
                <div class="card-body">
                    <form method="post">
                        <div class="mb-3">
                            <label for="username" class="form-label">Имя пользователя:</label>
                            <input type="text" class="form-control" id="username" name="username">
                        </div>
                        <div class="mb-3">
                            <label for="password" class="form-label">Пароль:</label>
                            <input type="password" class="form-control" id="password" name="password">
                        </div>
                        <button type="submit" class="btn btn-primary">Войти</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</main>
{% endblock %}

app/templates/base.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>{% block title %}{% endblock %}</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link rel="stylesheet" href="{{ url_for('static', filename = 'css/main.css') }}">
</head>
<body>
    <header class="d-flex flex-wrap justify-content-center py-3 mb-4 border-bottom" style="background-color: #f5e0f1; margin-bottom: 20px;">
            <a href="/" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto link-body-emphasis text-decoration-none">
              <img class="header__img" src="{{ url_for('static', filename = 'img/logo.png')}}" alt="low">
              <span class="fs-4">Массажный салон «Нирвана СПА»</span>
            </a>     
      
             <ul class="nav nav-pills">
              <li class="nav-item"><a href="{{ url_for('main.index') }}" class="nav-link {% if active == 'index' %}active{% endif %}">Главная</a></li>
              <li class="nav-item"><a href="/services" class="nav-link {% if active == 'services' %}active{% endif %}">Услуги</a></li>
              <li class="nav-item"><a href="/create" class="nav-link {% if active == 'create' %}active{% endif %}">Запись</a></li>
              <li class="nav-item"><a href="/question" class="nav-link {% if active == 'question' %}active{% endif %}">Вопросы и ответы</a></li>
              <li class="nav-item"><a href="/about" class="nav-link {% if active == 'about' %}active{% endif %}">О нас</a></li>
              <li class="nav-item"><a href="/auth" class="nav-link {% if active == 'auth' %}active{% endif %}">Авторизация</a></li>
            </ul>
          </header>
          {% block content %}{% endblock %}

          {% block body %}{% endblock %}
          <footer>
            <div class="col-md-4 d-flex align-items-center">
              <a href="/" class="mb-3 me-2 mb-md-0 text-body-secondary text-decoration-none lh-1">
                <img class="header__img" src="{{ url_for('static', filename = 'img/logo.png')}}" alt="low">
              </a>
              <span class="mb-3 mb-md-0 text-body-secondary">© 2024 Дипломная работа, Сердюк Юлия, Массажный салон     По вопросам обращайтесь по номеру +7 (800)-800-80-80  
              </span>
            </div>
          </footer>
    <chat-bot platform_id="a83c480e-9f2d-4f38-ae3c-464d35a32094" user_id="5dfbac24-a91c-4a2e-9325-d3dabf30373b" chatbot_id="a85f8e9b-ebce-448a-8aa8-859eeb3a9de9"><a href="https://www.chatsimple.ai/?utm_source=widget&utm_medium=referral">chatsimple</a></chat-bot><script src="https://cdn.chatsimple.ai/chat-bot-loader.js" defer></script>
</body>
</html>

app/templates/faq.html
<!DOCTYPE html>
<html lang="ru">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Нирвана спа | Каталог</title>
    <link rel="stylesheet" href="static/css/style.css">
</head>

<body>
    <header class="header header--second-page">
        <div class="container">
            <div class="header__container">
                <a href="/" class="header__logo">
                    <img src="static/img/logo.png" alt="Логотип Нирвана Спа" width="160" height="160">
                </a>
                <nav class="header__main-nav main-nav">
                    <ul class="main-nav__list">
                        <li class="main-nav__item">
                            <a href="/" class="main-nav__link">главная</a>
                        </li>
                        <li class="main-nav__item">
                            <a href="/catalog" class="main-nav__link">услуги</a>
                        </li>
                        <li class="main-nav__item active">
                            <a href="/faq" class="main-nav__link">вопрос&ответ</a>
                        </li>
                        <li class="main-nav__item">
                            <a href="/appointment" class="main-nav__link">запись</a>
                        </li>
                    </ul>
                </nav>
                <button type="button" class="header__button-search" aria-label="Открыть поиск">
                    <svg width="35" height="35" viewBox="0 0 35 35" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M32.86 35L20.07 22.21C19.1 23.05 17.96 23.71 16.67 24.18C15.37 24.65 14 24.88 12.54 24.88C9.04 24.88 6.07 23.67 3.64 21.24C1.21 18.81 0 15.87 0 12.44C0 9 1.21 6.07 3.64 3.64C6.07 1.21 9.02 0 12.49 0C15.92 0 18.85 1.21 21.26 3.64C23.68 6.07 24.88 9 24.88 12.44C24.88 13.83 24.66 15.18 24.2 16.47C23.75 17.77 23.07 18.99 22.16 20.12L35 32.86L32.86 35ZM12.49 21.97C15.11 21.97 17.35 21.04 19.2 19.17C21.04 17.31 21.97 15.06 21.97 12.44C21.97 9.81 21.04 7.57 19.2 5.71C17.35 3.84 15.11 2.91 12.49 2.91C9.83 2.91 7.57 3.84 5.71 5.71C3.84 7.57 2.91 9.81 2.91 12.44C2.91 15.06 3.84 17.31 5.71 19.17C7.57 21.04 9.83 21.97 12.49 21.97Z"
                            fill-opacity="1.000000" fill-rule="nonzero" />
                    </svg>
                </button>
                <button class="main-nav__toggle" aria-label="Открыть меню">
                    <nav class="main-nav__toggle">
                        <ul>
                            <li><a href="/" class="active">Главная страница</a></li>
                            <li><a href="/catalog">Услуги</a></li>
                            <li><a href="/faq">Вопрос&Ответ</a></li>
                            <li><a href="/appointment">Запись</a></li>
                        </ul>
                    </nav>
                </button>
            </div>
        </div>
        <svg class="header__decor-bottom" preserveAspectRatio="none" width="1440" height="116" viewBox="0 0 1440 116"
            fill="none" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
            <path id="Vector 26"
                d="M0 116C0 116 233.87 47.04 435.38 35.89C734.59 19.33 1120.74 113.58 1420.51 113.58C1427.4 113.58 1433.65 113.22 1439.3 112.53L1440 0L0 0L0 116Z"
                fill="#F2E1F0" fill-opacity="1.000000" fill-rule="evenodd" />
        </svg>
        <h1 class="visually-hidden">Страница с ответами на часто задаваемые вопосы</h1>
    </header>
    <main class="main faq">
        <div class="container">
            <div class="faq__container">
                <div class="faq__list">
                    <div class="faq__item">
                        <button class="faq__button">Можно ли купить сертификат на массаж в подарок?</button>
                        <p class="faq__answer">
                            Для вашего удобства рекомендуется делать предварительную запись заранее, чтобы быть
                            уверенным
                            в наличии свободного времени у массажиста.
                            Однако, мы также принимаем клиентов на случайные визиты в зависимости от нашего расписания.
                        </p>
                    </div>
                    <div class="faq__item">
                        <button class="faq__button">Можно ли купить сертификат на массаж в подарок?</button>
                        <p class="faq__answer">
                            Для вашего удобства рекомендуется делать предварительную запись заранее, чтобы быть
                            уверенным
                            в наличии свободного времени у массажиста.
                            Однако, мы также принимаем клиентов на случайные визиты в зависимости от нашего расписания.
                        </p>
                    </div>
                    <div class="faq__item">
                        <button class="faq__button">Можно ли купить сертификат на массаж в подарок?</button>
                        <p class="faq__answer">
                            Для вашего удобства рекомендуется делать предварительную запись заранее, чтобы быть
                            уверенным
                            в наличии свободного времени у массажиста.
                            Однако, мы также принимаем клиентов на случайные визиты в зависимости от нашего расписания.
                        </p>
                    </div>
                    <div class="faq__item">
                        <button class="faq__button">Можно ли купить сертификат на массаж в подарок?</button>
                        <p class="faq__answer">
                            Для вашего удобства рекомендуется делать предварительную запись заранее, чтобы быть
                            уверенным
                            в наличии свободного времени у массажиста.
                            Однако, мы также принимаем клиентов на случайные визиты в зависимости от нашего расписания.
                        </p>
                    </div>
                    <div class="faq__item">
                        <button class="faq__button">Можно ли купить сертификат на массаж в подарок?</button>
                        <p class="faq__answer">
                            Для вашего удобства рекомендуется делать предварительную запись заранее, чтобы быть
                            уверенным
                            в наличии свободного времени у массажиста.
                            Однако, мы также принимаем клиентов на случайные визиты в зависимости от нашего расписания.
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </main>
    <footer class="footer footer--second-page">
        <svg class="footer__decor" width="1449" height="77" preserveAspectRatio="none" viewBox="0 0 1449 77" fill="none"
            xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
            <path id="Vector 25"
                d="M310.16 0.29C481.22 3.27 895.85 37.63 1066.88 33.96C1217.76 30.72 1448.51 7.84 1448.51 7.84L1448.51 77L-0.49 77L-0.49 22.2C66.46 10.41 171.88 -2.11 310.16 0.29Z"
                fill="#F2E1F0" fill-opacity="1.000000" fill-rule="evenodd" />
        </svg>
        <div class="container">
            <div class="footer__container">
                <h2 class="footer__heading heading-section">остались вопросы?</h2>
                <address class="footer__contacts">
                    <a href="tel:+78008008080" class="footer__link">Дипломная работа Сердюк Ю.Ю.</a>
                    <a href="mailto:nirvanaspa@mail.ru" class="footer__link">nirvanaspa@mail.ru</a>
                    <a href="#" class="footer__link footer__link--inst"
                        aria-label="Перейти на нашу страницу в инстаграме">
                        <img class="footer__link-icon" src="static/img/inst.png" alt="иконка инстаграма" width="50"
                            height="50">
                        @massagesalonNirvana
                    </a>
                    <a href="#" class="footer__link footer__link--vk" aria-label="Перейти на нашу страницу в вконтакте">
                        <img class="footer__link-icon" src="static/img/vk.png" alt="иконка вконтакте" width="50" height="50">
                        @massagesalonNirvana
                    </a>
                </address>
            </div>
        </div>
    </footer>
    <script>
        const items = document.querySelectorAll('.faq__button');
        items.forEach(item => {
            item.addEventListener('click', event => {
                const button = event.target;
                const parent = button.parentNode;
                const content = parent.querySelector('.faq__answer');

                const isActive = parent.classList.contains('open');

                if (isActive) {
                    parent.classList.remove('open');
                } else {
                    parent.classList.add('open');
                }
            });
        });
    </script>
    <script src="static/js/mainNav.js"></script>
</body>

</html>

app/templates/management.html
{% extends 'base.html' %}

{% block title %}
Админ Интерфейс
{% endblock %}

{% block body %}
<main class="container">
    <div class="row justify-content-center mt-5">
        <div class="col-md-6">
            <div class="card">
                <div class="card-header">
                    Админ Интерфейс
                </div>
                <div class="card-body text-center">
                    <h5>Добро пожаловать в админ интерфейс</h5>
                </div>
            </div>
        </div>
    </div>
</main>
{% endblock %}

app/templates/successfully.html
<!DOCTYPE html>
<html lang="ru">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Нирвана спа | Каталог</title>
    <link rel="stylesheet" href="static/css/style.css">
</head>

<body>
    <header class="header header--second-page">
        <div class="container">
            <div class="header__container">
                <a href="/" class="header__logo">
                    <img src="static/img/logo.png" alt="Логотип Нирвана Спа" width="160" height="160">
                </a>
                <nav class="header__main-nav main-nav">
                    <ul class="main-nav__list">
                        <li class="main-nav__item">
                            <a href="/index" class="main-nav__link">главная</a>
                        </li>
                        <li class="main-nav__item">
                            <a href="/catalog" class="main-nav__link">услуги</a>
                        </li>
                        <li class="main-nav__item">
                            <a href="/faq" class="main-nav__link">вопрос&ответ</a>
                        </li>
                        <li class="main-nav__item active">
                            <a href="/appointment" class="main-nav__link">запись</a>
                        </li>
                    </ul>
                </nav>
                <button type="button" class="header__button-search" aria-label="Открыть поиск">
                    <svg width="35" height="35" viewBox="0 0 35 35" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path
                            d="M32.86 35L20.07 22.21C19.1 23.05 17.96 23.71 16.67 24.18C15.37 24.65 14 24.88 12.54 24.88C9.04 24.88 6.07 23.67 3.64 21.24C1.21 18.81 0 15.87 0 12.44C0 9 1.21 6.07 3.64 3.64C6.07 1.21 9.02 0 12.49 0C15.92 0 18.85 1.21 21.26 3.64C23.68 6.07 24.88 9 24.88 12.44C24.88 13.83 24.66 15.18 24.2 16.47C23.75 17.77 23.07 18.99 22.16 20.12L35 32.86L32.86 35ZM12.49 21.97C15.11 21.97 17.35 21.04 19.2 19.17C21.04 17.31 21.97 15.06 21.97 12.44C21.97 9.81 21.04 7.57 19.2 5.71C17.35 3.84 15.11 2.91 12.49 2.91C9.83 2.91 7.57 3.84 5.71 5.71C3.84 7.57 2.91 9.81 2.91 12.44C2.91 15.06 3.84 17.31 5.71 19.17C7.57 21.04 9.83 21.97 12.49 21.97Z"
                            fill-opacity="1.000000" fill-rule="nonzero" />
                    </svg>
                </button>
                <button class="main-nav__toggle" aria-label="Открыть меню">
                    <nav class="main-nav__toggle">
                        <ul>
                            <li><a href="/" class="active">Главная страница</a></li>
                            <li><a href="/catalog">Услуги</a></li>
                            <li><a href="/faq">Вопрос&Ответ</a></li>
                            <li><a href="/appointment">Запись</a></li>
                        </ul>
                    </nav>
                </button>
            </div>
<body>
<p style="text-align: center"><b>Мы рады сообщить вам, что ваша запись в наш массажный салон успешно подтверждена. <br>Уже ждем встречи с вами в уютной атмосфере нашего салона для проведения процедуры массажа. <br>Спасибо за выбор нашего салона!</b></p>
<br>
<p style="text-align: center;">По дополнительным вопросам обращайтесь к менеджеру +7 (800)-800-80-80</p>
</body>
</main>
<footer class="footer">
    <div class="container">
        <div class="footer__container">
            <h2 class="footer__heading heading-section">остались вопросы?</h2>
            <address class="footer__contacts">
                <a href="tel:+78008008080" class="footer__link">Дипломная работа Сердюк Ю.Ю.</a>
                <a href="mailto:nirvanaspa@mail.ru" class="footer__link">nirvanaspa@mail.ru</a>
                <a href="#" class="footer__link footer__link--inst"
                    aria-label="Перейти на нашу страницу в инстаграме">
                    <img class="footer__link-icon" src="static/img/inst.png" alt="иконка инстаграма" width="50"
                        height="50">
                    @massagesalonNirvana
                </a>
                <a href="#" class="footer__link footer__link--vk" aria-label="Перейти на нашу страницу в вконтакте">
                    <img class="footer__link-icon" src="static/img/vk.png" alt="иконка вконтакте" width="50" height="50">
                    @massagesalonNirvana
                </a>
            </address>
        </div>
    </div>
</footer>
<script src="static/js/mainNav.js"></script>
</body>

</html>